For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSimulates Shipment Shipped
      • GETGet the status of a simulation
LogoLogo
API ReferenceSimulations

Simulates Shipment Shipped

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2.0/simulate/shipment
POST
/2.0/simulate/shipment
$curl -X POST https://sandbox-api.shipbob.com/2.0/simulate/shipment \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "shipment_id": "string",
> "simulation": {
> "action": "string",
> "delay": 0,
> "next": {}
> }
>}'
1{
2 "message": "string",
3 "simulation_id": "string"
4}
Was this page helpful?
Previous

Create Return Order

Next

Get the status of a simulation

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

Order Simulation Request Model
shipment_idstringRequired>=1 character
simulationobjectRequired

Response

Existing registration
messagestring
simulation_idstring